
Foreman - Bug #11761

Cloning of hostgroup redirects to host creation

09/10/2015 04:22 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Host groups   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1267693 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2699

  

Description

After #11683 was merged, hostgroup can no longer be cloned. When I submit the form with new attributes, the form is redirected to

host creation action. The patch added data-submit to the form but it does not seem to be supported for anything else than hosts

Related issues:

Related to Foreman - Bug #11683: Spinner in puppet class parameters spinning ... Closed 09/04/2015

Related to Foreman - Bug #18190: saving a host called "news.example.com" fails New 01/21/2017

Associated revisions

Revision 8ea3050e - 09/15/2015 07:58 AM - Marek Hulán

Fixes #11761 - support hostgroup form push through AJAX

History

#1 - 09/10/2015 04:22 AM - Marek Hulán

- Related to Bug #11683: Spinner in puppet class parameters spinning indefinitely on hostgroup creation added

#2 - 09/10/2015 05:22 AM - Marek Hulán

- Status changed from New to Assigned

Also nesting is broken

#3 - 09/10/2015 05:29 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2699 added

- Pull request deleted ()

#4 - 09/15/2015 08:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8ea3050edcadb7a13c53491b1269e1c571118e3a.

#5 - 09/30/2015 01:12 PM - Christine Fouant

- Bugzilla link set to 1267693

#6 - 01/23/2017 05:23 AM - Dominic Cleal

- Related to Bug #18190: saving a host called "news.example.com" fails added
